Summary: A lightweight multi-tabbed terminal emulator for X
Name: mrxvt 
Version: 0.5.4
Release: 1
URL: http://materm.sourceforge.net/wiki/Main/HomePage
License: GPLv2+
Group: User Interface/X 
Source0: http://downloads.sourceforge.net/materm/%{name}-%{version}.tar.gz
Source1: http://littlehat.homelinux.org:8000/FEDORA/mrxvt/current/0.5.3/%{name}.desktop
Patch0: http://downloads.sourceforge.net/materm/mrxvt-0.5.4-001-fix-segfault-when-wd-empty.patch
Patch1: %{name}-%{version}-aix.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch
BuildRequires: libXft-devel >= 2.1.14 libXpm-devel >= 3.5.7-4
BuildRequires: libXrender-devel >= 0.9.5 fontconfig-devel >= 2.8.0
BuildRequires: libpng-devel >= 1.2.44 libjpeg-devel >= 6b-7
Requires: libXft >= 2.1.14 libXpm >= 3.5.7-4
Requires: libXrender >= 0.9.5 fontconfig >= 2.8.0
Requires: libpng >= 1.2.44 libjpeg >= 6b-7

%description
Mrxvt (previously materm) is based on 2.7.11 CVS of rxvt and aterm.


%prep
%setup -q 
export PATH=/opt/freeware/bin:$PATH
%patch0 -p0
%patch1


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-everything \
    --enable-ttygid \
    --with-term=xterm \
    --enable-256-color \
    --disable-debug \
    --disable-lastlog

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/lpp/X11/bin
cd usr/lpp/X11/bin
ln -s ../../../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files 
%defattr(-,root,system,-)
%doc doc/README* doc/*.txt*
%doc share/scripts/
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/default.menu
%config(noreplace) %{_sysconfdir}/%{name}/mrxvtrc
%config(noreplace) %{_sysconfdir}/%{name}/mrxvtrc.sample
%config(noreplace) %{_sysconfdir}/%{name}/submenus.menu
%{_datadir}/pixmaps/%{name}*
/etc/X11/applnk/Applications/*
/usr/lpp/X11/bin/*


%changelog
* Wed Oct 20 2010 Michael Perzl <michael@perzl.org> - 0.5.4-1
- first version for AIX V5.1 and higher
